package bloat

import (
	"bytes"

	"aead.dev/minisign"
)

// sign the payload and append 4 lines
func (b *Bloat[T]) sign(plaintext []byte) ([]byte, error) {

	signature := minisign.Sign(b.signPriv, plaintext)
	parts := [][]byte{plaintext, signature}
	final := bytes.Join(parts, []byte("\n"))
	return final, nil
}
