# bloat

> XML serialization version. for ActivityPub see dogberry


- [ ] tests
  - [ ] plain tests
  - [ ] encrypted tests
  - [ ] key tests
  - [ ] file tests
    - [ ] plain stored
  - [ ] invalid tests
    - [ ] corrupted plain
    - [ ] corrupted private

- [ ] Read
  - [ ] serialize
  - [ ] decrypt
  - [ ] verify
- [ ] Write
  - [ ] sign
  - [ ] encrypt
  - [ ] deserialize



- notes on deletions:

- /host.xml
  - /group/
    - /index.xml <-
    - /indexes/
      - /{peer name}/
        - /passwords.xml <- encrypted to a peer
    - /posts.a.xml <-
    - /posts.b.xml <-


- options:
  - encrypt each post to every group member
    - pros:
      - safe if they haven't downloaded something
    - cons:
      - removing a member means rewriting each post
      - adding a member means rewriting each post
  - encrypt a password file next to each post
    - pros:
      - don't need to upload the content twice
    - cons:
      - need a password file for each member (n x m storage)
  - encrypt an index file
    - pros:
      - need o(n) storage
    - cons:
      - if they've downloaded the index they have the passwords to the files